Package org.opensaml.xacml.profile.saml.impl

# Class XACMLAuthzDecisionQueryTypeUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller
org.opensaml.saml.saml2.core.impl.RequestAbstractTypeUnmarshaller
org.opensaml.xacml.profile.saml.impl.XACMLAuthzDecisionQueryTypeUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class XACMLAuthzDecisionQueryTypeUnmarshaller extends RequestAbstractTypeUnmarshaller
A thread-safe Unmarshaller for `XACMLAuthzDecisionQueryType` objects.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`XACMLAuthzDecisionQueryTypeUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject samlObject, Attr attribute)`
Called after an attribute has been unmarshalled so that it can be added to the XMLObject.
`protected void`
`processChildElement(XMLObject parentObject, XMLObject childObject)`
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject.

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller

`parseSAMLVersion`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XACMLAuthzDecisionQueryTypeUnmarshaller

public XACMLAuthzDecisionQueryTypeUnmarshaller()

## Method Details

### processChildElement

protected void processChildElement(XMLObject parentObject, XMLObject childObject) throws UnmarshallingException
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject. The default implementation of this method is a no-op.

Overrides:
  `processChildElement` in class `RequestAbstractTypeUnmarshaller`
Parameters:
  `parentObject` - the parent XMLObject
  `childObject` - the child XMLObject
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the child to the parent

### processAttribute

protected void processAttribute(XMLObject samlObject, Attr attribute) throws UnmarshallingException
Called after an attribute has been unmarshalled so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processAttribute` in class `RequestAbstractTypeUnmarshaller`
Parameters:
  `samlObject` - the XMLObject
  `attribute` - the attribute
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the attribute to the XMLObject